Class InviteExistingUserRequestBuilder
- Namespace
- Keycloak.AuthServices.Sdk.Kiota.Admin.Admin.Realms.Item.Organizations.Item.Members.InviteExistingUser
- Assembly
- Keycloak.AuthServices.Sdk.Kiota.dll
Builds and executes requests for operations under \admin\realms{realm}\organizations{org-id}\members\invite-existing-user
public class InviteExistingUserRequestBuilder : BaseRequestBuilder
- Inheritance
-
BaseRequestBuilderInviteExistingUserRequestBuilder
- Inherited Members
-
BaseRequestBuilder.PathParametersBaseRequestBuilder.RequestAdapterBaseRequestBuilder.UrlTemplate
Constructors
InviteExistingUserRequestBuilder(Dictionary<string, object>, IRequestAdapter)
Instantiates a new InviteExistingUserRequestBuilder and sets the default values.
public InviteExistingUserRequestBuilder(Dictionary<string, object> pathParameters, IRequestAdapter requestAdapter)
Parameters
pathParametersDictionary<string, object>Path parameters for the request
requestAdapterIRequestAdapterThe request adapter to use to execute the requests.
InviteExistingUserRequestBuilder(string, IRequestAdapter)
Instantiates a new InviteExistingUserRequestBuilder and sets the default values.
public InviteExistingUserRequestBuilder(string rawUrl, IRequestAdapter requestAdapter)
Parameters
rawUrlstringThe raw URL to use for the request builder.
requestAdapterIRequestAdapterThe request adapter to use to execute the requests.
Methods
PostAsync(InviteExistingUserPostRequestBody, Action<RequestConfiguration<DefaultQueryParameters>>?, CancellationToken)
Invites an existing user to the organization, using the specified user id
public Task PostAsync(InviteExistingUserPostRequestBody body, Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null, CancellationToken cancellationToken = default)
Parameters
bodyInviteExistingUserPostRequestBodyThe request body
requestConfigurationAction<RequestConfiguration<DefaultQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
cancellationTokenCancellationTokenCancellation token to use when cancelling requests
Returns
ToPostRequestInformation(InviteExistingUserPostRequestBody, Action<RequestConfiguration<DefaultQueryParameters>>?)
Invites an existing user to the organization, using the specified user id
public RequestInformation ToPostRequestInformation(InviteExistingUserPostRequestBody body, Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null)
Parameters
bodyInviteExistingUserPostRequestBodyThe request body
requestConfigurationAction<RequestConfiguration<DefaultQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
Returns
- RequestInformation
A Microsoft.Kiota.Abstractions.RequestInformation
WithUrl(string)
Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
public InviteExistingUserRequestBuilder WithUrl(string rawUrl)
Parameters
rawUrlstringThe raw URL to use for the request builder.